<h1>JSM&#039;s Force HTTP to HTTPS (SSL)</h1><h3>Simple, Safe, and Best for SEO</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>JSM&#039;s Force HTTP to HTTPS</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>No setup required! Simply activate to force HTTP URLs to HTTPS using native WordPress filters and 301 permanent redirects for best SEO.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>3.1.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.9</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 5.3</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>mixed content, insecure content, force ssl, https, ssl, secure, upload, proxy, load balancing</td></tr>
</table>

<h2>Description</h2>

<p><strong>A simple, safe, and reliable way to force HTTP URLs to HTTPS dynamically:</strong></p>

<p>No setup required!</p>

<p>Simply activate the plugin to force HTTP URLs to HTTPS.</p>

<p><strong>SIGNIFICANTLY DIFFERENT than other plugins of this type</strong> (<em>in the best way</em>):</p>

<p>Other plugins use <a href="https://secure.php.net/manual/en/function.ob-start.php">PHP's output buffer</a> to search &amp; replace URLs in the webpage HTML, which is error prone and negatively affects caching performance.</p>

<p>This plugin uses native WordPress filters instead for maximum performance and caching compatibility, along with 301 permanent redirects for best SEO (<a href="https://en.wikipedia.org/wiki/HTTP_301">301 redirects are considered best for SEO when moving from HTTP to HTTPS</a>).</p>

<p><strong>Honors proxy / load-balancing variables for large hosting environments:</strong></p>

<ul>
<li>HTTP_X_FORWARDED_PROTO</li>
<li>HTTP_X_FORWARDED_SSL</li>
</ul>

<p><strong>Requirements:</strong></p>

<p>Your web server must be configured with an SSL certificate and able to handle HTTPS request. ;-)</p>

<p><strong>Simply activate the plugin and you're done:</strong></p>

<p>There are no plugin settings to adjust, and no changes are made to your WordPress configuration &mdash; simply activate or deactivate the plugin to enable / disable the filters and dynamic redirects.</p>


<h2>Installation</h2>

<h4>Automated Install</h4>

<ol>
<li>Go to the wp-admin/ section of your website.</li>
<li>Select the <em>Plugins</em> menu item.</li>
<li>Select the <em>Add New</em> sub-menu item.</li>
<li>In the <em>Search</em> box, enter the plugin name.</li>
<li>Click the <em>Search Plugins</em> button.</li>
<li>Click the <em>Install Now</em> link for the plugin.</li>
<li>Click the <em>Activate Plugin</em> link.</li>
</ol>

<h4>Semi-Automated Install</h4>

<ol>
<li>Download the plugin ZIP file.</li>
<li>Go to the wp-admin/ section of your website.</li>
<li>Select the <em>Plugins</em> menu item.</li>
<li>Select the <em>Add New</em> sub-menu item.</li>
<li>Click on <em>Upload</em> link (just under the Install Plugins page title).</li>
<li>Click the <em>Browse...</em> button.</li>
<li>Navigate your local folders / directories and choose the ZIP file you downloaded previously.</li>
<li>Click on the <em>Install Now</em> button.</li>
<li>Click the <em>Activate Plugin</em> link.</li>
</ol>


<h2>Frequently Asked Questions</h2>




